Apache Tomcat 7.0.42

## org.apache.catalina.deploy
Class ContextService

    java.lang.Object
      org.apache.catalina.deploy.ResourceBase
          org.apache.catalina.deploy.ContextService

All Implemented Interfaces:
  Serializable, Injectable

    public class ContextService

extends ResourceBase

Representation of a web service reference for a web application, as represented in a `<service-ref>` element in the deployment descriptor.

Version:
  $Id: ContextService.java 1226539 2012-01-02 20:18:01Z markt $
Author:
  Fabien Carrion
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.catalina.deploy.ResourceBase
`resources`

Constructor Summary
`ContextService()`

Method Summary
`void` `addHandler(ContextHandler handler)`
`void` `addPortcomponent(String serviceendpoint, String portlink)`
`boolean` `equals(Object obj)`
`String` `getDisplayname()`
`ContextHandler` `getHandler(String handlername)`
`Iterator<String>` `getHandlers()`
`String` `getInterface()`
`String` `getJaxrpcmappingfile()`
`String` `getLargeIcon()`
`String` `getPortlink(String serviceendpoint)`
`Iterator<String>` `getServiceendpoints()` Declares a client dependency on the container to resolving a Service Endpoint Interface to a WSDL port.
`String[]` `getServiceqname()`
`String` `getServiceqname(int i)`
`String` `getServiceqnameLocalpart()`
`String` `getServiceqnameNamespaceURI()`
`String` `getSmallIcon()`
`String` `getWsdlfile()`
`int` `hashCode()`
`void` `setDisplayname(String displayname)`
`void` `setInterface(String serviceInterface)`
`void` `setJaxrpcmappingfile(String jaxrpcmappingfile)`
`void` `setLargeIcon(String largeIcon)`
`void` `setServiceqname(String[] serviceqname)`
`void` `setServiceqname(String serviceqname, int i)`
`void` `setServiceqnameLocalpart(String localpart)`
`void` `setServiceqnameNamespaceURI(String namespaceuri)`
`void` `setSmallIcon(String smallIcon)`
`void` `setWsdlfile(String wsdlfile)`
`String` `toString()` Return a String representation of this object.

Methods inherited from class org.apache.catalina.deploy.ResourceBase
`addInjectionTarget, getDescription, getInjectionTargets, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setName, setProperty, setType`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextService

    public ContextService()

Method Detail

### getDisplayname

    public String getDisplayname()

### setDisplayname

    public void setDisplayname(String displayname)

### getLargeIcon

    public String getLargeIcon()

### setLargeIcon

    public void setLargeIcon(String largeIcon)

### getSmallIcon

    public String getSmallIcon()

### setSmallIcon

    public void setSmallIcon(String smallIcon)

### getInterface

    public String getInterface()

### setInterface

    public void setInterface(String serviceInterface)

### getWsdlfile

    public String getWsdlfile()

### setWsdlfile

    public void setWsdlfile(String wsdlfile)

### getJaxrpcmappingfile

    public String getJaxrpcmappingfile()

### setJaxrpcmappingfile

    public void setJaxrpcmappingfile(String jaxrpcmappingfile)

### getServiceqname

    public String[] getServiceqname()

### getServiceqname

    public String getServiceqname(int i)

### getServiceqnameNamespaceURI

    public String getServiceqnameNamespaceURI()

### getServiceqnameLocalpart

    public String getServiceqnameLocalpart()

### setServiceqname

    public void setServiceqname(String[] serviceqname)

### setServiceqname

    public void setServiceqname(String serviceqname,
                                int i)

### setServiceqnameNamespaceURI

    public void setServiceqnameNamespaceURI(String namespaceuri)

### setServiceqnameLocalpart

    public void setServiceqnameLocalpart(String localpart)

### getServiceendpoints

    public Iterator<String> getServiceendpoints()

  Declares a client dependency on the container to resolving a Service Endpoint Interface to a WSDL port. It optionally associates the Service Endpoint Interface with a particular port-component.

### getPortlink

    public String getPortlink(String serviceendpoint)

### addPortcomponent

    public void addPortcomponent(String serviceendpoint,
                                 String portlink)

### getHandlers

    public Iterator<String> getHandlers()

### getHandler

    public ContextHandler getHandler(String handlername)

### addHandler

    public void addHandler(ContextHandler handler)

### toString

    public String toString()

  Return a String representation of this object.

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `ResourceBase`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `ResourceBase`

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.